记录 smartgit 安装的问题

a) 去官网下载了deb包,然后安装,点击快捷图标, 鼠标转了几圈,然后没反应,等了半天也没看见软件启动
b) 然后把软件卸载了, 使用 apt-get的安装形式, 在终端里输命令来启动软件
c) 同样也没成功启动软件,但在终端有显示错误log
d) log:
Exception in thread “main” java.lang.UnsupportedClassVersionError: QBootLoader : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
e) google 了一下,是jdk的版本造成的 , 将jdk的环境变量 从 6.0 改成 7.0 后,就ok了